<?php
/**
 * Slider Section options
 *
 * @package Theme Palace
 * @subpackage Travel Master Pro
 * @since Travel Master Pro 1.0.0
 */

// Add Slider section
$wp_customize->add_section( 'educollege_pro_slider_section', array(
	'title'             => esc_html__( 'Main Slider','educollege-pro' ),
	'description'       => esc_html__( 'Slider Section options.', 'educollege-pro' ),
	'panel'             => 'educollege_pro_front_page_panel',
) );

// Slider content enable control and setting
$wp_customize->add_setting( 'educollege_pro_theme_options[slider_section_enable]', array(
	'default'			=> 	$options['slider_section_enable'],
	'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize, 'educollege_pro_theme_options[slider_section_enable]', array(
	'label'             => esc_html__( 'Slider Section Enable', 'educollege-pro' ),
	'section'           => 'educollege_pro_slider_section',
	'on_off_label' 		=> educollege_pro_switch_options(),
) ) );

// Slider content enable control and setting
$wp_customize->add_setting( 'educollege_pro_theme_options[slider_autoplay]', array(
	'default'			=> 	$options['slider_autoplay'],
	'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize, 'educollege_pro_theme_options[slider_autoplay]', array(
	'label'             => esc_html__( 'Auto Play Enable', 'educollege-pro' ),
	'section'           => 'educollege_pro_slider_section',
	'on_off_label' 		=> educollege_pro_switch_options(),
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
) ) );

if ( ! class_exists( 'TP_Education' ) ) {
	// Slider content enable control and setting

	$wp_customize->add_setting( 'educollege_pro_theme_options[course_form]', array(
		'default'			=> 	$options['course_form'],
		'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
	) );

	$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize,'educollege_pro_theme_options[course_form]', array(
		'label'             => esc_html__( 'Course Search Field Enable', 'educollege-pro' ),
		'description'      	=> esc_html__( 'Note: To activate course search form, you have to activate TP Education plugin..', 'educollege-pro' ),
		'on_off_label' 		=> educollege_pro_switch_options(),
		'section'           => 'educollege_pro_slider_section',
		'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	) ) );
}

if ( class_exists( 'TP_Education' ) ) {
	// Slider content enable control and setting
	$wp_customize->add_setting( 'educollege_pro_theme_options[course_form]', array(
		'default'			=> 	$options['course_form'],
		'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
	) );

	$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize, 'educollege_pro_theme_options[course_form]', array(
		'label'             => esc_html__( 'Course Search Field Enable', 'educollege-pro' ),
		'description'      	=> esc_html__( 'Note: To activate course search form, you have to activate TP Education plugin..', 'educollege-pro' ),
		'section'           => 'educollege_pro_slider_section',
		'on_off_label' 		=> educollege_pro_switch_options(),
		'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	) ) );
}


$wp_customize->add_setting( 'educollege_pro_theme_options[slider_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['slider_title'],
) );

$wp_customize->add_control( 'educollege_pro_theme_options[slider_title]', array(
	'label'           	=> esc_html__( 'Slider Title', 'educollege-pro' ),
	'section'        	=> 'educollege_pro_slider_section',
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'educollege_pro_theme_options[slider_title]', array(
		'selector'            => '#featured-slider div.wrapper header span',
		'settings'            => 'educollege_pro_theme_options[slider_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'educollege_pro_slider_title_partial',
    ) );
}


// Slider btn label setting and control
$wp_customize->add_setting( 'educollege_pro_theme_options[slider_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['slider_btn_label'],
	) );

	$wp_customize->add_control( 'educollege_pro_theme_options[slider_btn_label]', array(
	'label'           	=> esc_html__( 'Slider Button Label', 'educollege-pro' ),
	'section'        	=> 'educollege_pro_slider_section',
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	'type'				=> 'text',
	) );
	
	// Abort if selective refresh is not available.
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'educollege_pro_theme_options[slider_btn_label]', array(
			'selector'            => 'div.read-more a#slider-read-more',
			'settings'            => 'educollege_pro_theme_options[slider_btn_label]',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
			'render_callback'     => 'educollege_pro_slider_btn_label_partial',
		) );
	}

	$wp_customize->add_setting( 'educollege_pro_theme_options[slider_alt_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['slider_alt_btn_label'],
) );

$wp_customize->add_control( 'educollege_pro_theme_options[slider_alt_btn_label]', array(
	'label'           	=> esc_html__( 'Slider Alternative Button Label', 'educollege-pro' ),
	'section'        	=> 'educollege_pro_slider_section',
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	'type'				=> 'text',
) );

$wp_customize->add_setting( 'educollege_pro_theme_options[slider_alt_btn_url]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'educollege_pro_theme_options[slider_alt_btn_url]', array(
	'label'           	=> esc_html__( 'Slider Alternative Button Url', 'educollege-pro' ),
	'section'        	=> 'educollege_pro_slider_section',
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	'type'				=> 'url',
) );

// Event social icons number control and setting
$wp_customize->add_setting( 'educollege_pro_theme_options[slider_count]', array(
	'default'          	=> $options['slider_count'],
	'sanitize_callback' => 'educollege_pro_sanitize_number_range',
	'validate_callback' => 'educollege_pro_validate_slider_count',
) );

$wp_customize->add_control( 'educollege_pro_theme_options[slider_count]', array(
	'label'             => esc_html__( 'Number of Slides', 'educollege-pro' ),
	'description'       => esc_html__( 'Note: Min 1 & Max 10. Please input the valid number and save. Then refresh the page to see the change.', 'educollege-pro' ),
	'section'           => 'educollege_pro_slider_section',
	'active_callback'   => 'educollege_pro_is_slider_section_enable',
	'type'				=> 'number',
	'input_attrs'		=> array(
		'min'	=> 1,
		'max'	=> 10,
		'style' => 'width: 100px;'
		),
) );

// Slider content type control and setting
$wp_customize->add_setting( 'educollege_pro_theme_options[slider_content_type]', array(
	'default'          	=> $options['slider_content_type'],
	'sanitize_callback' => 'educollege_pro_sanitize_select',
) );

$wp_customize->add_control( 'educollege_pro_theme_options[slider_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'educollege-pro' ),
	'section'           => 'educollege_pro_slider_section',
	'type'				=> 'select',
	'active_callback' 	=> 'educollege_pro_is_slider_section_enable',
	'choices'			=> array( 
		'page' 		=> esc_html__( 'Page', 'educollege-pro' ),
		'post' 		=> esc_html__( 'Post', 'educollege-pro' ),
		'category' 	=> esc_html__( 'Category', 'educollege-pro' ),
	),
) );

for ( $i = 1; $i <= $options['slider_count']; $i++ ) :
	// slider pages drop down chooser control and setting
	$wp_customize->add_setting( 'educollege_pro_theme_options[slider_content_page_' . $i . ']', array(
		'sanitize_callback' => 'educollege_pro_sanitize_page',
	) );

	$wp_customize->add_control( new Educollege_Pro_Dropdown_Chooser( $wp_customize, 'educollege_pro_theme_options[slider_content_page_' . $i . ']', array(
		'label'             => sprintf( esc_html__( 'Select Page %d', 'educollege-pro' ), $i ),
		'section'           => 'educollege_pro_slider_section',
		'choices'			=> educollege_pro_page_choices(),
		'active_callback'	=> 'educollege_pro_is_slider_section_content_page_enable',
	) ) );

	// slider posts drop down chooser control and setting
	$wp_customize->add_setting( 'educollege_pro_theme_options[slider_content_post_' . $i . ']', array(
		'sanitize_callback' => 'educollege_pro_sanitize_page',
	) );

	$wp_customize->add_control( new Educollege_Pro_Dropdown_Chooser( $wp_customize, 'educollege_pro_theme_options[slider_content_post_' . $i . ']', array(
		'label'             => sprintf( esc_html__( 'Select Post %d', 'educollege-pro' ), $i ),
		'section'           => 'educollege_pro_slider_section',
		'choices'			=> educollege_pro_post_choices(),
		'active_callback'	=> 'educollege_pro_is_slider_section_content_post_enable',
	) ) );
endfor;

// Add dropdown category setting and control.
$wp_customize->add_setting(  'educollege_pro_theme_options[slider_content_category]', array(
	'sanitize_callback' => 'educollege_pro_sanitize_single_category',
) ) ;

$wp_customize->add_control( new Educollege_Pro_Dropdown_Taxonomies_Control( $wp_customize,'educollege_pro_theme_options[slider_content_category]', array(
	'label'             => esc_html__( 'Select Category', 'educollege-pro' ),
	'description'      	=> esc_html__( 'Note: Latest selected no of posts will be shown from selected category', 'educollege-pro' ),
	'section'           => 'educollege_pro_slider_section',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'educollege_pro_is_slider_section_content_category_enable'
) ) );
